- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes

# QKeyEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 219 of file qevent.h.

`#include <qevent.h>`

Inheritance diagram for QKeyEvent:
[legend]

List of all members.

## Public Member Functions
| QKeyEvent (Type type, int key, Qt::KeyboardModifiers modifiers, const QString &text=QString(), bool autorep=false, ushort count=1)
| ~QKeyEvent ()
int | key () const
bool | matches (QKeySequence::StandardKey key) const
Qt::KeyboardModifiers | modifiers () const
QString | text () const
bool | isAutoRepeat () const
int | count () const
bool | hasExtendedInfo () const
quint32 | nativeScanCode () const
quint32 | nativeVirtualKey () const
quint32 | nativeModifiers () const
## Static Public Member Functions
static QKeyEvent * | createExtendedKeyEvent (Type type, int key, Qt::KeyboardModifiers modifiers, quint32 nativeScanCode, quint32 nativeVirtualKey, quint32 nativeModifiers, const QString &text=QString(), bool autorep=false, ushort count=1)
## Protected Attributes
QString | txt
int | k
ushort | c
uint | autor:1

## Constructor & Destructor Documentation

QKeyEvent | ( | Type | type,
|  | int | key,
|  | Qt::KeyboardModifiers | modifiers,
|  | const QString & | text = `QString()`,
|  | bool | autorep = `false`,
|  | ushort | count = `1`
| ) |  |

~QKeyEvent | ( |  | ) |

## Member Function Documentation

int key | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 226 of file qevent.h.

    { return k; }

bool matches | ( | QKeySequence::StandardKey | key | ) | const

Search for all occurrences

Qt::KeyboardModifiers modifiers | ( |  | ) | const

Search for all occurrences

Reimplemented from QInputEvent.

QString text | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 231 of file qevent.h.

    { return txt; }

bool isAutoRepeat | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 232 of file qevent.h.

    { return autor; }

int count | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 233 of file qevent.h.

    { return int(c); }

static QKeyEvent* createExtendedKeyEvent | ( | Type | type,
|  | int | key,
|  | Qt::KeyboardModifiers | modifiers,
|  | quint32 | nativeScanCode,
|  | quint32 | nativeVirtualKey,
|  | quint32 | nativeModifiers,
|  | const QString & | text = `QString()`,
|  | bool | autorep = `false`,
|  | ushort | count = `1`
| ) |  | `[static]`

Search for all occurrences

bool hasExtendedInfo | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 241 of file qevent.h.

    { return reinterpret_cast<const QKeyEvent*>(d) == this; }

quint32 nativeScanCode | ( |  | ) | const

Search for all occurrences

quint32 nativeVirtualKey | ( |  | ) | const

Search for all occurrences

quint32 nativeModifiers | ( |  | ) | const

Search for all occurrences

## Member Data Documentation

QString txt `[protected]`

Search for all occurrences

Definition at line 263 of file qevent.h.

int k `[protected]`

Search for all occurrences

Definition at line 264 of file qevent.h.

ushort c `[protected]`

Search for all occurrences

Definition at line 265 of file qevent.h.

uint autor `[protected]`

Search for all occurrences

Definition at line 266 of file qevent.h.

The documentation for this class was generated from the following file:

- QtGui/qevent.h

QKeyEvent QKeyEvent QKeyEvent QKeyEvent QKeyEvent QKeyEvent QKeyEvent QKeyEvent QKeyEvent QKeyEvent
QKeyEvent QKeyEvent QKeyEvent QKeyEvent QKeyEvent QKeyEvent QKeyEvent QKeyEvent QKeyEvent QKeyEvent